// Here is the groovy file for screen elements
info("sj102")

mainMenu {
    enabled = true // Set to true to enable this module

    splashText {
        enabled = true // Set to true to enable this module
        splashesEnabled = true // Set to false to disable splashes entirely

        customSplashes {
            enabled = true // Set to true to enable this module
            // You can put either "override" or "append" here to declare how you want to provide custom splashes
            applyMode = "override"
            defineCustom(["Thanks! UrM8Bro", "Thanks! Czarnullaa", "Thanks! Tronto1899"])
        }
    }

    background {
        clearBackgrounds() // This line removes the rotating cube
        backgroundStayLength = 10000 // This sets the length a background would stay
        backgroundFadeLength = 10000 // This sets the fade duration to another background
        renderGradientShade = false // This sets whether the slight shade should be rendered
        image {
            texture = file("config/slightguimodifications/background.png") // Remember to use forward slash to support unix!
            texture = resource("slightguimodifications:background.png") // Here to use a resource location / identifier
        }
    }

    // Uncomment these to remove aspects of the title screen
    // removeMinecraftLogo()
    // removeEditionBadge()

    // Clear all buttons already on screen
    // clearAllButtons()

    // Clear all labels already on screen
    // clearAllLabels()
	
        }
    }
	
    label {
        position {
            x = 2
            y {
                it - 10
            }
        }

        text = literal("StableJava 1.0.2")
        shadow = true
    }

    button {
        position {
            x { it / 2 + 3 }
            y = 203
        }
        width = 100
        height = 20

        text = literal("Menu")
        onClicked = modMenu()
    }
    button {
        position {
            x { it / 2 - 101 }
            y = 203
        }
        width = 100
        height = 20

        text = literal("Language")
        onClicked = language()
    }
    button {
        position {
            x { it / 2 - 101 }
            y = 131
        }
        width = 204
        height = 20

        text = literal("Singleplayer")
        onClicked = singleplayer()
    }
    button {
        position {
            x { it / 2 - 101 }
            y = 155
        }
        width = 204
        height = 20

        text = literal("Multiplayer")
        onClicked = multiplayer()
    }
   /* button {
        position {
            x { it / 2 + 110 }
            y = 159
        }
        width = 100
        height = 20

        text = literal("Reload")
        onClicked = reloadCts()
    }
    */
    button {
        position {
            x { it / 2 + 3 }
            y = 227
        }
        width = 100
        height = 20

        text = literal("Quit")
        onClicked = exit()
    }
    button {
        position {
            x { it / 2 - 101 }
            y = 227
        }
        width = 100
        height = 20

        text = literal("Options")
        onClicked = options()
    }
    button {
        position {
            x { it / 2 + 3 }
            y = 179
        }
        width = 100
        height = 20

        text = literal("Issues")
        onClicked = url("https://github.com/szumaster/StableJava/issues")
    }
    button {
        position {
            x { it / 2 - 101 }
            y = 179
        }
        width = 100
        height = 20

        text = literal("Modpack")
        onClicked = url("https://www.curseforge.com/minecraft/modpacks/stablejava")
    }
}
